Bug 1389784 - Review Request: python-scour - An SVG scrubber
Summary: Review Request: python-scour - An SVG scrubber
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1389772
TreeView+ depends on / blocked
 
Reported: 2016-10-28 15:27 UTC by Gwyn Ciesla
Modified: 2016-11-19 21:04 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-10 15:51:58 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Gwyn Ciesla 2016-10-28 15:27:54 UTC
Description: An SVG scrubber

SRPM: https://fedorapeople.org/~limb/review/python-scour/python-scour-0.35-1.fc24.src.rpm
SPEC: https://fedorapeople.org/~limb/review/python-scour/python-scour.spec

rpmlint errors on github sourceurl.

Needed for inkscape.

Comment 1 Neal Gompa 2016-10-28 18:15:26 UTC
The error for the GitHub Source URL is easy to fix.

You can change it to one of the following:

Source0: %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

or

Source0: %{url}/archive/v%{version}.tar.gz#/%{modname}-%{version}.tar.gz

Both are valid.

Comment 3 Neal Gompa 2016-10-28 18:23:03 UTC
The licensedir conditional at the top needs the extra "%" removed on the %doc, otherwise it defines "%license" as "%%doc", which doesn't work.

Comment 4 Neal Gompa 2016-10-28 18:23:50 UTC
Also, the conditional should be near the files list rather than the top. I forget why this is the case, but I think it was important.

Comment 5 Gwyn Ciesla 2016-10-28 18:26:12 UTC
Fixed, same URLs.

Comment 6 Neal Gompa 2016-10-28 18:30:14 UTC
fedora-review is happy about the package (minus the manpage warning, which I'm ignoring).

The package name, version, and licensing looks good.

It obeys our guidelines for Python packaging.

PACKAGE APPROVED.

Comment 7 Gwyn Ciesla 2016-10-28 18:32:46 UTC
Excellent, thank you so much!  Please post a link to a review of yours, if you have one.

Comment 8 Gwyn Ciesla 2016-10-28 18:34:46 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-scour

Comment 9 Fedora Update System 2016-11-01 18:19:22 UTC
python-scour-0.35-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3565264129

Comment 10 Fedora Update System 2016-11-06 01:52:55 UTC
python-scour-0.35-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dfac269ab2

Comment 11 Fedora Update System 2016-11-07 02:22:33 UTC
inkscape-0.92-5.pre2.fc25, python-scour-0.35-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc91f59804

Comment 12 Fedora Update System 2016-11-10 15:51:58 UTC
python-scour-0.35-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-14 20:58:51 UTC
python-scour-0.35-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-11-19 21:04:03 UTC
inkscape-0.92-5.pre2.fc25, python-scour-0.35-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.